Як оновити до GNOME 3 на Ubuntu

Якщо ви використовуєте Єдність і ви хочете отримати повний досвід від GNOME 3 Не встановлюючи Ubuntu GNOME Remix, ви можете спробувати ці 4 дуже простих кроки, які дозволять вам встановити не тільки оболонку GNOME, але і ЦІЛЕ середовище робочого столу GNOME (із програмами та налаштуваннями за замовчуванням).

заходи

1. - Встановіть пакети GNOME

Ви можете встановити пакет "gnome-shell", якщо ви хочете використовувати лише оболонку GNOME, але якщо ви хочете встановити повне середовище робочого столу GNOME 3, яке включає програми, які за замовчуванням поставляються з GNOME та стандартними конфігураціями, відкрийте термінал і я написав наступне:

sudo apt-get install ubuntu-gnome-desktop ubuntu-gnome-default-settings

Коли з’явиться запит, виберіть GDM як менеджер дисплея.

Якщо у вас вже встановлений GDM або ви помилково вибрали неправильний варіант, ви можете ввести таку команду, щоб виправити його:

sudo dpkg-реконфігурувати gdm

Також рекомендується видалити пакет "ubuntu-settings", який відповідає за встановлення деяких параметрів за замовчуванням в Ubuntu:

sudo apt-get видалити налаштування ubuntu

Цей останній крок також видалить пакет "ubuntu-desktop". При цьому не повинно статися нічого серйозного, тому ви можете продовжувати без проблем.

Необов'язково

2. - Встановіть відсутні пакети GNOME 3

Незважаючи на те, що вони вважаються частиною GNOME 3, Документи та коробки GNOME не встановлюються за замовчуванням із пакетом ubuntu-gnome-desktop. Щоб встановити їх, я відкрив термінал і набрав:

sudo apt-get встановити gnome-documents gnome-box

Примітка. Ящики доступні лише на 64 біти через помилку.

3. - Оновлення Nautilus, Totem та інших пакетів GNOME 3 до версії 3.6.x

Деякі пакунки у сховищах Ubuntu 12.10 не мають останньої версії GNOME 3.6.x. З цієї причини вам потрібно встановити їх через PPA:

Щоб додати PPA, я відкрив термінал і набрав:

sudo add-apt-repository ppa: gnome3-team / gnome3
Суду apt-get поновлення
Суду apt-get поновлення

Оновлені пакети: Aisleriot 3.6.0, Brasero 3.6.0, Nautilus 3.6.1 і Totem 3.6.0. PPA також включає Transmission 0.7.1, Transmageddon 0.23 та Sound Juicer 3.5.0, якщо ви хочете їх встановити.

4. - Видаліть смуги прокрутки з Ubuntu

Навіть виконавши наведені вище дії, GNOME все одно використовуватиме смуги прокрутки Ubuntu. Якщо ви хочете їх видалити, відкрийте термінал і запустіть таку команду:

sudo apt-get remove overlay-scrollbar *

Перезавантажтесь і виберіть "GNOME" у вікні входу.

Фуенте: Webupd8


Зміст статті відповідає нашим принципам редакційна етика. Щоб повідомити про помилку, натисніть тут.

6 коментарі, залиште свій

Залиште свій коментар

Ваша електронна адреса не буде опублікований. Обов'язкові для заповнення поля позначені *

*

*

  1. Відповідальний за дані: Мігель Анхель Гатон
  2. Призначення даних: Контроль спаму, управління коментарями.
  3. Легітимація: Ваша згода
  4. Передача даних: Дані не передаватимуться третім особам, за винятком юридичних зобов’язань.
  5. Зберігання даних: База даних, розміщена в мережі Occentus Networks (ЄС)
  6. Права: Ви можете будь-коли обмежити, відновити та видалити свою інформацію.

  1.   Херонімо Наварро - сказав він

    З одного. У моїй роботі вони використовують Xubuntu (крім мене), і це дійсно літає. Шкода, що Thunar не постачається з підтримкою вкладок, мені це здається смішним (хоча цього трохи не вистачає - або нічого, я думаю, що це вже вийшло - для версії 1.5.x, яка їх включає).

  2.   Херонімо Наварро - сказав він

    Витривалість MATE! Я кажу це конструктивно. Якщо ви новачок, встановіть MATE і забудьте про нього. Якщо ви старі, поверніться до gnome 2 і забудьте про це.

  3.   Мікель Майоль і тур - сказав він

    Виберіть ту, яка вам найбільше подобається, я, я спробував Mate, і XFCE, і я вибрав XFCE, Manjaro, Sabayon, Debian та деякі інші, також обрали XFCE за замовчуванням або зробили версії XFCE, яких у них раніше не було.

    Погана річ у тому, що якщо ви хочете мати кілька GNOME3 та gnomeShell + Unity несумісні, наразі вони, на мій погляд, повинні змінити назви загальних пакетів, щоб їх можна було встановити одночасно на одному комп’ютері в тій же установці.

  4.   Сусо73 - сказав він

    Правда полягає в тому, що це здається бійкою ... яка сумна річ, в одному безладді.

  5.   Жамін Фернандес - сказав він

    або якщо не використовувати XFCE 4.10, що надзвичайно добре ... Xubuntu 12.10 працює швидко і не споживає ресурсів

  6.   Жамін Фернандес - сказав він

    Це правильно, мій брате ... Підтримка декількох вікон вже випущена, і ти можеш встановити Xubuntu 12.10 .. тут інформація

    http://www.ubuntubuzz.com/2012/11/how-to-get-thunar-file-manager-with-tab.html